Loading...
Searching...
No Matches
juce::AndroidDocumentInputSource Class Reference

## Detailed Description

An InputSource backed by an AndroidDocument.

See also
  InputSource, AndroidDocument

The documentation for this class was generated from the following file:

- juce_core/streams/juce_AndroidDocumentInputSource.h

Inheritance diagram for juce::AndroidDocumentInputSource:

## Public Member Functions

| AndroidDocumentInputSource (const AndroidDocument &doc)
| Creates a new AndroidDocumentInputSource, backed by the provided document.
InputStream * | createInputStream () override
| Returns a new InputStream to read this item.
InputStream * | createInputStreamFor (const String &relatedItemPath) override
| Returns a new InputStream to read an item, relative.
int64 | hashCode () const override
| Returns a hash code that uniquely represents this item.
Public Member Functions inherited from juce::InputSource
| InputSource ()=default
virtual | ~InputSource ()=default
| Destructor.

## Constructors and Destructors

## AndroidDocumentInputSource()

juce::AndroidDocumentInputSource::AndroidDocumentInputSource | ( | const AndroidDocument & | doc | ) |

inline explicit

Creates a new AndroidDocumentInputSource, backed by the provided document.

## Member Functions

## createInputStream()

InputStream * juce::AndroidDocumentInputSource::createInputStream | ( |  | ) |

inline override virtual

Returns a new InputStream to read this item.

Returns
  an inputstream that the caller will delete, or nullptr if the document can't be opened.

Implements juce::InputSource.

## createInputStreamFor()

InputStream * juce::AndroidDocumentInputSource::createInputStreamFor | ( | const String & | relatedItemPath | ) |

inline override virtual

Returns a new InputStream to read an item, relative.

Parameters

  relatedItemPath | the relative pathname of the resource that is required

Returns
  an inputstream that the caller will delete, or nullptr if the item isn't found.

Implements juce::InputSource.

References juce::String::isEmpty().

## hashCode()

int64 juce::AndroidDocumentInputSource::hashCode | ( |  | ) | const

inline override virtual

Returns a hash code that uniquely represents this item.

Implements juce::InputSource.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited